# Class UnsupportedFlavorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.datatransfer.UnsupportedFlavorException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedFlavorException extends Exception
Signals that the requested data is not supported in this flavor.

Since:
  1.1
See Also:
  - `Transferable.getTransferData(DataFlavor)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedFlavorException(DataFlavor flavor)`
  Constructs an UnsupportedFlavorException.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedFlavorException

    public UnsupportedFlavorException(DataFlavor flavor)
    Constructs an UnsupportedFlavorException.
    Parameters:
      `flavor` - the flavor object which caused the exception. May be `null`.